Create a contact group (legacy shop-nested)
Creates a customer group for the shop.
POST
/shops/{shop_id}/customer_groupsAuthorization
AuthorizationBearer token (JWT) · headerrequiredPath parameters
shop_idintegerrequiredRequest body
requiredapplication/jsonnamestringrequiredcart_requirements_list_idintegerprice_list_idintegerallow_local_pickupbooleanallow_shippingbooleanResponses
201Contact group created
422Validation error
Request
curl -X POST "https://api.onbolder.com/v2/shops/1/customer_groups" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "VIP Customers"
}'const response = await fetch("https://api.onbolder.com/v2/shops/1/customer_groups", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"name": "VIP Customers"
})
});import requests
response = requests.post(
"https://api.onbolder.com/v2/shops/1/customer_groups",
headers={
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
json={
"name": "VIP Customers"
},
)Response
Contact group created
Validation error